## ros-humble-ros-gz-interfaces 0.244.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ros_gz_interfaces)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rcl_interfaces REQUIRED)
find_package(std_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/Contact.msg"
  "msg/Contacts.msg"
  "msg/Dataframe.msg"
  "msg/Entity.msg"
  "msg/EntityFactory.msg"
  "msg/Float32Array.msg"
  "msg/GuiCamera.msg"
  "msg/JointWrench.msg"
  "msg/Light.msg"
  "msg/ParamVec.msg"
  "msg/StringVec.msg"
  "msg/TrackVisual.msg"
  "msg/VideoRecord.msg"
  "msg/WorldControl.msg"
  "msg/WorldReset.msg"
)

set(srv_files
  "srv/ControlWorld.srv"
  "srv/DeleteEntity.srv"
  "srv/SetEntityPose.srv"
  "srv/SpawnEntity.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces std_msgs geometry_msgs rcl_interfaces
  ADD_LINTER_TESTS
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-ros-gz-interfaces (0.244.11-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.10-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 03 May 2023 05:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.9-1jammy) jammy; urgency=high

  * Export rcl_interfaces exec dependency (#317 <https://github.com/gazebosim/ros_gz/issues/317>)
  * Contributors: Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.8-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Fri, 28 Oct 2022 05:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.7-1jammy) jammy; urgency=high

  * Bridge between msgs::Float_V and ros_gz_interfaces/Float32Array msg types (#306 <https://github.com/gazebosim/ros_gz/issues/306>)
    * bridge float_v and float32_multi_array msg type
    Co-authored-by: Ian Chen <mailto:ichen@openrobotics.org>
  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Ian Chen, Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Wed, 12 Oct 2022 05:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.6-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Wed, 14 Sep 2022 05:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.5-1jammy) jammy; urgency=high

  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: methylDragon

 -- Louise Poubel <louise@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.3-1jammy) jammy; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Thu, 19 May 2022 05:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.2-1jammy) jammy; urgency=high

  * [ros_gz_interfaces] Add GuiCamera, StringVec, TrackVisual, VideoRecord (#214 <https://github.com/gazebosim/ros_gz/issues/214>)
    * [ros_gz_interfaces] Add more interface definitions.
    * Add converion functions for the added messages
    * Update the factory factory function with the new messages
    * Add new messages to docs
    * Add test cases for the new messages conversions
  * Update maintainer for ros_gz_interfaces (#204 <https://github.com/gazebosim/ros_gz/issues/204>)
  * [ros2]  new package ros_gz_interfaces, provide some  Gazebo-specific ROS messages. (#152 <https://github.com/gazebosim/ros_gz/issues/152>)
    * add new package ros_gz_interfaces,provide some Gazebo-specific ros .msg and .srv files
    * modify to match gz-msgs
    * add author info
    * modify comments
    * update code and doc style
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic, Louise Poubel, Michael Carroll, ahcorde, gezp

 -- Louise Poubel <louise@openrobotics.org>  Mon, 25 Apr 2022 05:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.1-1jammy) jammy; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 06:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.0-1jammy) jammy; urgency=high

  * New Light Message, also bridge Color (#187 <https://github.com/gazebosim/ros_gz/issues/187>)
  * Expose Contacts through ROS bridge (#175 <https://github.com/gazebosim/ros_gz/issues/175>)
  * Contributors: Guillaume Doisy, Vatan Aksoy Tezer, William Lew

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 06:00:00 -0000

ros-humble-ros-gz-interfaces (0.233.2-1jammy) jammy; urgency=high

  * [ros2]  new package ros_gz_interfaces, provide some  Gazebo-specific ROS messages. (#152 <https://github.com/gazebosim/ros_gz/issues/152>)
    * add new package ros_gz_interfaces,provide some Gazebo-specific ros .msg and .srv files
    * modify to match gz-msgs
    * add author info
    * modify comments
    * update code and doc style
  * Contributors: gezp

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 05:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-interfaces//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ros-gz-interfaces 0.244.14

=== debian/changelog ===
ros-humble-ros-gz-interfaces (0.244.14-1bookworm) bookworm; urgency=high

  * Add option to change material color from ROS. (#486 <https://github.com/gazebosim/ros_gz/issues/486>)
    * Message and bridge for MaterialColor.
    This allows bridging MaterialColor from ROS to GZ and is
    important for allowing simulation users to create status lights.
    ---------
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Addisu Z. Taddese <mailto:addisuzt@intrinsic.ai>
    Co-authored-by: Addisu Z. Taddese <mailto:addisu@openrobotics.org>
  * Contributors: Benjamin Perseghetti

 -- Louise Poubel <louise@openrobotics.org>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.13-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 Jan 2024 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.12-1bookworm) bookworm; urgency=high

  * [backport humble] SensorNoise msg bridging (#417 <https://github.com/gazebosim/ros_gz/issues/417>)
  * [backport humble] Added Altimeter msg bridging (#413 <https://github.com/gazebosim/ros_gz/issues/413>) (#414 <https://github.com/gazebosim/ros_gz/issues/414>) (#426 <https://github.com/gazebosim/ros_gz/issues/426>)
  * Contributors: Alejandro Hernández Cordero

 -- Louise Poubel <louise@openrobotics.org>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.11-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 22 May 2023 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.10-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 02 May 2023 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.9-1bookworm) bookworm; urgency=high

  * Export rcl_interfaces exec dependency (#317 <https://github.com/gazebosim/ros_gz/issues/317>)
  * Contributors: Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.8-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.7-1bookworm) bookworm; urgency=high

  * Bridge between msgs::Float_V and ros_gz_interfaces/Float32Array msg types (#306 <https://github.com/gazebosim/ros_gz/issues/306>)
    * bridge float_v and float32_multi_array msg type
    Co-authored-by: Ian Chen <mailto:ichen@openrobotics.org>
  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Ian Chen, Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Tue, 11 Oct 2022 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.6-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Tue, 13 Sep 2022 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.5-1bookworm) bookworm; urgency=high

  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: methylDragon

 -- Louise Poubel <louise@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.3-1bookworm) bookworm; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.2-1bookworm) bookworm; urgency=high

  * [ros_gz_interfaces] Add GuiCamera, StringVec, TrackVisual, VideoRecord (#214 <https://github.com/gazebosim/ros_gz/issues/214>)
    * [ros_gz_interfaces] Add more interface definitions.
    * Add converion functions for the added messages
    * Update the factory factory function with the new messages
    * Add new messages to docs
    * Add test cases for the new messages conversions
  * Update maintainer for ros_gz_interfaces (#204 <https://github.com/gazebosim/ros_gz/issues/204>)
  * [ros2]  new package ros_gz_interfaces, provide some  Gazebo-specific ROS messages. (#152 <https://github.com/gazebosim/ros_gz/issues/152>)
    * add new package ros_gz_interfaces,provide some Gazebo-specific ros .msg and .srv files
    * modify to match gz-msgs
    * add author info
    * modify comments
    * update code and doc style
  * Contributors: Alejandro Hernández Cordero, Ivan Santiago Paunovic, Louise Poubel, Michael Carroll, ahcorde, gezp

 -- Louise Poubel <louise@openrobotics.org>  Sun, 24 Apr 2022 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.1-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Mon, 03 Jan 2022 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.0-1bookworm) bookworm; urgency=high

  * New Light Message, also bridge Color (#187 <https://github.com/gazebosim/ros_gz/issues/187>)
  * Expose Contacts through ROS bridge (#175 <https://github.com/gazebosim/ros_gz/issues/175>)
  * Contributors: Guillaume Doisy, Vatan Aksoy Tezer, William Lew

 -- Louise Poubel <louise@openrobotics.org>  Wed, 29 Dec 2021 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.233.2-1bookworm) bookworm; urgency=high

  * [ros2]  new package ros_gz_interfaces, provide some  Gazebo-specific ROS messages. (#152 <https://github.com/gazebosim/ros_gz/issues/152>)


=== debian/control ===
Source: ros-humble-ros-gz-interfaces
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rcl-interfaces, ros-humble-rosidl-default-generators, ros-humble-std-msgs, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros-gz-interfaces
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-geometry-msgs, ros-humble-rcl-interfaces, ros-humble-rosidl-default-runtime, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Message and service data structures for interacting with Gazebo from ROS2.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-interfaces//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-interfaces//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ros-gz-interfaces//opt/ros/humble/opt/ros_gz_interfaces/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-ros-gz-interfaces 0.244.16

=== debian/changelog ===
ros-humble-ros-gz-interfaces (0.244.16-1bookworm) bookworm; urgency=high



 -- Louise Poubel <louise@openrobotics.org>  Sun, 21 Jul 2024 16:00:00 -0000

ros-humble-ros-gz-interfaces (0.244.15-1bookworm) bookworm; urgency=high

  * Add support for gz.msgs.EntityWrench (base branch: ros2) (backport #573 <https://github.com/gazebosim/ros_gz/issues/573>) (#575 <https://github.com/gazebosim/ros_gz/issues/575>)
    * Add support for gz.msgs.EntityWrench (base branch: ros2) (#573 <https://github.com/gazebosim/ros_gz/issues/573>)
    (cherry picked from commit f9afb69d1163633dd978024bb7271a28cf7b551a)
    # Conflicts:
    #     ros_gz_bridge/README.md
    #     ros_gz_bridge/test/utils/gz_test_msg.hpp
    * Fixed merge
    * Update ros_gz_bridge/README.md
    Co-authored-by: Addisu Z. Taddese <mailto:addisu@openrobotics.org>
    ---------
    Co-authored-by: Victor T. Noppeney <mailto:Vtn21@users.noreply.github.com>
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Addisu Z. Taddese <mailto:addisu@openrobotics.org>
  * Contributors: mergify[bot]

 -- Louise Poubel <louise@openrobotics.org>  Tue, 02 Jul 2024 16:00:00 -0000
